Package org.eclipse.net4j.spi.db

# Class DBSchema

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.internal.db.ddl.DBElement
org.eclipse.net4j.internal.db.ddl.DBNamedElement
org.eclipse.net4j.internal.db.ddl.DBSchemaElement
org.eclipse.net4j.internal.db.ddl.DBSchema
org.eclipse.net4j.spi.db.DBSchema

All Implemented Interfaces:
  `Serializable`, `Comparable<IDBSchemaElement>`, `IDBElement`, `IDBNamedElement`, `IDBSchema`, `IDBSchemaElement`, `InternalDBElement`, `InternalDBNamedElement`, `InternalDBSchema`, `InternalDBSchemaElement`, `org.eclipse.net4j.util.container.IContainer<IDBSchemaElement>`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`

@Deprecated public class DBSchema extends org.eclipse.net4j.internal.db.ddl.DBSchema
Deprecated.
As of 4.2 call `DBUtil.createSchema(String)`, `DBUtil.readSchema(IDBAdapter, Connection, IDBSchema)`, `DBUtil.readSchema(IDBAdapter, Connection, String)` or `DBUtil.copySchema(IDBSchema)`.

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.Notifier

`org.eclipse.net4j.util.event.Notifier.Cancelation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

`IDBSchemaElement.SchemaElementType`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from interface org.eclipse.net4j.spi.db.ddl.InternalDBSchema

`NO_TABLES`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DBSchema()`
Deprecated.
``
`DBSchema(String name)`
Deprecated.
``
`DBSchema(IDBSchema source)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(org.eclipse.net4j.util.event.IListener listener)`
Deprecated.
`IDBTable`
`addTable(String name)`
Deprecated.
`void`
`assertUnlocked()`
Deprecated.
`Set<IDBTable>`
`create(IDBAdapter dbAdapter, Connection connection)`
Deprecated.
`Set<IDBTable>`
`create(IDBAdapter dbAdapter, DataSource dataSource)`
Deprecated.
`Set<IDBTable>`
`create(IDBAdapter dbAdapter, IDBConnectionProvider connectionProvider)`
Deprecated.
`void`
`drop(IDBAdapter dbAdapter, Connection connection)`
Deprecated.
`void`
`drop(IDBAdapter dbAdapter, DataSource dataSource)`
Deprecated.
`void`
`drop(IDBAdapter dbAdapter, IDBConnectionProvider connectionProvider)`
Deprecated.
`void`
`export(Connection connection, PrintStream out)`
Deprecated.
`void`
`export(DataSource dataSource, PrintStream out)`
Deprecated.
`void`
`export(IDBConnectionProvider connectionProvider, PrintStream out)`
Deprecated.
`protected void`
`finalize()`
Deprecated.
`void`
`fireEvent()`
Deprecated.
`void`
`fireEvent(org.eclipse.net4j.util.event.IEvent event)`
Deprecated.
`void`
`fireEvent(org.eclipse.net4j.util.event.IEvent event, org.eclipse.net4j.util.event.IListener[] listeners)`
Deprecated.
`protected void`
`fireThrowable(Throwable throwable)`
Deprecated.
`protected void`
`firstListenerAdded()`
Deprecated.
`String`
`getFullName()`
Deprecated.
`org.eclipse.net4j.util.event.IListener[]`
`getListeners()`
Deprecated.
`String`
`getName()`
Deprecated.
`protected ExecutorService`
`getNotificationService()`
Deprecated.
`IDBSchema`
`getSchema()`
Deprecated.
`IDBTable`
`getTable(String name)`
Deprecated.
`IDBTable[]`
`getTables()`
Deprecated.
`boolean`
`hasListeners()`
Deprecated.
`boolean`
`isLocked()`
Deprecated.
`protected void`
`lastListenerRemoved()`
Deprecated.
`boolean`
`lock()`
Deprecated.
`void`
`removeListener(org.eclipse.net4j.util.event.IListener listener)`
Deprecated.
`IDBTable`
`removeTable(String name)`
Deprecated.
`String`
`toString()`
Deprecated.

### Methods inherited from class org.eclipse.net4j.internal.db.ddl.DBSchema

`collectElements, compare, compareNames, createIndexName, doAccept, equalNames, findElement, getParent, getSchemaElementType, getTableSafe, getWrapper, isCaseSensitive, isQualifiedTableNames, makeKey, remove, unlock`

### Methods inherited from class org.eclipse.net4j.internal.db.ddl.DBSchemaElement

`accept, compareTo, dump, dumpAdditionalProperties, equals, getElement, getElements, hashCode, isEmpty, resetElements, setWrapper`

### Methods inherited from class org.eclipse.net4j.internal.db.ddl.DBNamedElement

`dump, dumpToString, findElement, setName`

### Methods inherited from class org.eclipse.net4j.internal.db.ddl.DBElement

`getProperties`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addUniqueListener, hasListener, listenerAdded, listenerRemoved`

### Methods inherited from class java.lang.Object

`clone, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

`getProperties`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

`accept, getElement, setName`

### Methods inherited from interface org.eclipse.net4j.spi.db.ddl.InternalDBNamedElement

`dump, dump, dumpToString, setName`

### Methods inherited from interface org.eclipse.net4j.spi.db.ddl.InternalDBSchemaElement

`setWrapper`

## Constructor Details

### DBSchema

@Deprecated public DBSchema(String name)
Deprecated.

### DBSchema

@Deprecated public DBSchema(IDBSchema source)
Deprecated.

Since:
  4.2

### DBSchema

@Deprecated protected DBSchema()
Deprecated.
Constructor for deserialization.

Since:
  4.2

## Method Details

### getSchema

@Deprecated public IDBSchema getSchema()
Deprecated.

Specified by:
  `getSchema` in interface `IDBSchemaElement`
Overrides:
  `getSchema` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`

### getFullName

@Deprecated public String getFullName()
Deprecated.

Specified by:
  `getFullName` in interface `IDBSchemaElement`
Overrides:
  `getFullName` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`

### addTable

@Deprecated public IDBTable addTable(String name) throws DBException
Deprecated.

Specified by:
  `addTable` in interface `IDBSchema`
Specified by:
  `addTable` in interface `InternalDBSchema`
Overrides:
  `addTable` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
Throws:
  `DBException`

### removeTable

@Deprecated public IDBTable removeTable(String name)
Deprecated.

Specified by:
  `removeTable` in interface `IDBSchema`
Specified by:
  `removeTable` in interface `InternalDBSchema`
Overrides:
  `removeTable` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`

### getTable

@Deprecated public IDBTable getTable(String name)
Deprecated.

Specified by:
  `getTable` in interface `IDBSchema`
Overrides:
  `getTable` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`

### getTables

@Deprecated public IDBTable[] getTables()
Deprecated.

Specified by:
  `getTables` in interface `IDBSchema`
Overrides:
  `getTables` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`

### isLocked

@Deprecated public boolean isLocked()
Deprecated.

Specified by:
  `isLocked` in interface `IDBSchema`
Overrides:
  `isLocked` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`

### lock

@Deprecated public boolean lock()
Deprecated.

Specified by:
  `lock` in interface `InternalDBSchema`
Overrides:
  `lock` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`

### assertUnlocked

@Deprecated public void assertUnlocked() throws DBException
Deprecated.

Specified by:
  `assertUnlocked` in interface `InternalDBSchema`
Overrides:
  `assertUnlocked` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
Throws:
  `DBException`

### create

@Deprecated public Set<IDBTable> create(IDBAdapter dbAdapter, Connection connection) throws DBException
Deprecated.

Specified by:
  `create` in interface `IDBSchema`
Overrides:
  `create` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
Throws:
  `DBException`

### create

@Deprecated public Set<IDBTable> create(IDBAdapter dbAdapter, DataSource dataSource) throws DBException
Deprecated.

Specified by:
  `create` in interface `IDBSchema`
Overrides:
  `create` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
Throws:
  `DBException`

### create

@Deprecated public Set<IDBTable> create(IDBAdapter dbAdapter, IDBConnectionProvider connectionProvider) throws DBException
Deprecated.

Specified by:
  `create` in interface `IDBSchema`
Overrides:
  `create` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
Throws:
  `DBException`

### drop

@Deprecated public void drop(IDBAdapter dbAdapter, Connection connection) throws DBException
Deprecated.

Specified by:
  `drop` in interface `IDBSchema`
Overrides:
  `drop` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
Throws:
  `DBException`

### drop

@Deprecated public void drop(IDBAdapter dbAdapter, DataSource dataSource) throws DBException
Deprecated.

Specified by:
  `drop` in interface `IDBSchema`
Overrides:
  `drop` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
Throws:
  `DBException`

### drop

@Deprecated public void drop(IDBAdapter dbAdapter, IDBConnectionProvider connectionProvider) throws DBException
Deprecated.

Specified by:
  `drop` in interface `IDBSchema`
Overrides:
  `drop` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
Throws:
  `DBException`

### export

@Deprecated public void export(Connection connection, PrintStream out) throws DBException
Deprecated.

Specified by:
  `export` in interface `IDBSchema`
Overrides:
  `export` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
Throws:
  `DBException`

### export

@Deprecated public void export(DataSource dataSource, PrintStream out) throws DBException
Deprecated.

Specified by:
  `export` in interface `IDBSchema`
Overrides:
  `export` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
Throws:
  `DBException`

### export

@Deprecated public void export(IDBConnectionProvider connectionProvider, PrintStream out) throws DBException
Deprecated.

Specified by:
  `export` in interface `IDBSchema`
Overrides:
  `export` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
Throws:
  `DBException`

### getName

@Deprecated public String getName()
Deprecated.

Specified by:
  `getName` in interface `IDBNamedElement`
Overrides:
  `getName` in class `org.eclipse.net4j.internal.db.ddl.DBNamedElement`

### toString

@Deprecated public String toString()
Deprecated.

Overrides:
  `toString` in class `org.eclipse.net4j.internal.db.ddl.DBSchemaElement`

### addListener

@Deprecated public void addListener(org.eclipse.net4j.util.event.IListener listener)
Deprecated.

Specified by:
  `addListener` in interface `org.eclipse.net4j.util.event.INotifier`
Overrides:
  `addListener` in class `org.eclipse.net4j.util.event.Notifier`

### removeListener

@Deprecated public void removeListener(org.eclipse.net4j.util.event.IListener listener)
Deprecated.

Specified by:
  `removeListener` in interface `org.eclipse.net4j.util.event.INotifier`
Overrides:
  `removeListener` in class `org.eclipse.net4j.util.event.Notifier`

### hasListeners

@Deprecated public boolean hasListeners()
Deprecated.

Specified by:
  `hasListeners` in interface `org.eclipse.net4j.util.event.INotifier`
Overrides:
  `hasListeners` in class `org.eclipse.net4j.util.event.Notifier`

### getListeners

@Deprecated public org.eclipse.net4j.util.event.IListener[] getListeners()
Deprecated.

Specified by:
  `getListeners` in interface `org.eclipse.net4j.util.event.INotifier`
Overrides:
  `getListeners` in class `org.eclipse.net4j.util.event.Notifier`

### fireEvent

@Deprecated public void fireEvent()
Deprecated.

Overrides:
  `fireEvent` in class `org.eclipse.net4j.util.event.Notifier`

### fireEvent

@Deprecated public void fireEvent(org.eclipse.net4j.util.event.IEvent event)
Deprecated.

Overrides:
  `fireEvent` in class `org.eclipse.net4j.util.event.Notifier`

### fireEvent

@Deprecated public void fireEvent(org.eclipse.net4j.util.event.IEvent event, org.eclipse.net4j.util.event.IListener[] listeners)
Deprecated.

Overrides:
  `fireEvent` in class `org.eclipse.net4j.util.event.Notifier`

### fireThrowable

@Deprecated protected void fireThrowable(Throwable throwable)
Deprecated.

Overrides:
  `fireThrowable` in class `org.eclipse.net4j.util.event.Notifier`

### getNotificationService

@Deprecated protected ExecutorService getNotificationService()
Deprecated.

Overrides:
  `getNotificationService` in class `org.eclipse.net4j.util.event.Notifier`

### firstListenerAdded

@Deprecated protected void firstListenerAdded()
Deprecated.

Overrides:
  `firstListenerAdded` in class `org.eclipse.net4j.util.event.Notifier`

### lastListenerRemoved

@Deprecated protected void lastListenerRemoved()
Deprecated.

Overrides:
  `lastListenerRemoved` in class `org.eclipse.net4j.util.event.Notifier`

### finalize

@Deprecated protected void finalize() throws Throwable
Deprecated.

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`